Katello - Bug #6002

When auto-attaching subscription to system, status icon is black, not green
05/30/2014 06:42 PM - Christine Fouant

Status: Closed

Priority: Normal

Assignee: Christine Fouant

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1019389 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1019389
Description of problem:

When an out-of-compliance system has a subscription auto-attached, the status is changed to valid, but the expected red/green is
black.

Version-Release number of selected component (if applicable):
Satellite-6.0.2-RHEL-6-20131011.0

How reproducible:

Steps to Reproduce:

1. register system to sat (node?) but do not apply subscriptions
2. In webui, auto-attach subscription

3. View results in webui.

Actual results:

Subscription Status valid (with black icon)

Expected results:

Icon should be appropriately illustrated

Additional info:
see forthcoming screenshot

Associated revisions

Revision bb5050e8 - 05/30/2014 02:55 PM - Christine Fouant
fixes #6002 - updates subscription status color on webUI, BZ1019389

Revision 2762419e - 05/30/2014 06:55 PM - Christine Fouant
fixes #6002 - updates subscription status color on webUI, BZ1019389

Revision 1678694c¢ - 06/03/2014 11:02 AM - Adam Price

Merge pull request #4186 from cfouant/subscription-color

fixes #6002 - updates subscription status color on webUI, BZ1019389
Revision c08c38c7 - 06/03/2014 03:02 PM - Adam Price

Merge pull request #4186 from cfouant/subscription-color

fixes #6002 - updates subscription status color on webUl, BZ1019389
https://bugzilla.redhat.com/show_bug.cgi?id=1019389

History

#1 - 05/30/2014 10:38 PM - Eric Helms
- Target version set to 45

- Triaged set to Yes

#2 - 06/03/2014 03:52 PM - Christine Fouant
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:2762419e932551cce916e2cc90e37fb8352311e5.

#3 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
